Ergebnis 1 bis 7 von 7

Thema: [freebsd] xorg/nvidia treiber spinnt

  1. #1
    Erfahrener Benutzer
    Registriert seit
    06.10.2003
    Beiträge
    477

    [freebsd] xorg/nvidia treiber spinnt

    Halli Hallo liebe Unixfreundler,
    seit mein freebsd update versuch von 5.4 auf 6.0 fehlschlug leide ich unter dem problem:
    xorgh will niocht mit open gl starten.
    ich hab alles versucht: den nvidia-driver zu deinssatlieren und neu zu kompilieren, das modul zu unloaden und wieder zu loaden, und
    Code:
    chmod 0666 /dev/nvidia*
    Code:
    chown root /dev/nvidia*
    Leider alles ohne erfolg. ich muss zum starten von x imemr den treiver von nvidia auf nv stellen, load "glx" kann ich aber drinnlasen.

    weiß da jemand weiter?

    die log von Xorg sagt folgendes, alle anderen logs sind unauffällig:

    Code:
    (II) Setting vga for screen 0.
    (**) NVIDIA(0): Depth 24, (--) framebuffer bpp 32
    (==) NVIDIA(0): RGB weight 888
    (==) NVIDIA(0): Default visual is TrueColor
    (==) NVIDIA(0): Using gamma correction (1.0, 1.0, 1.0)
    (EE) NVIDIA(0): Failed to initialize the NVIDIA kernel module! Please ensure
    (EE) NVIDIA(0):      that there is a supported NVIDIA GPU in this system, and
    (EE) NVIDIA(0):      that the NVIDIA device files have been created properly.
    (EE) NVIDIA(0):      Please consult the NVIDIA README for details.
    (EE) NVIDIA(0):  *** Aborting ***
    (II) UnloadModule: "nvidia"
    (EE) Screen(s) found, but none have a usable configuration.
    
    Fatal server error:
    no screens found
    
    Please consult the The X.Org Foundation support
             at http://wiki.X.Org
     for help.
    Please also check the log file at "/var/log/Xorg.0.log" for additional information.

    vielen dank für eure hilfe,
    martin
    "Sehnst du dich nach den Tagen zurück, wo Männer noch Männer waren und ihre Gerätetreiber selbst schrieben?"
    Ankündigung der Freigabe der Linux-Version 0.02
    http://img.uptime-project.net/img/4/67038.png

  2. #2
    Administrator
    Registriert seit
    11.06.2003
    Beiträge
    1.499
    ja das passiert das ein oder anderemal

    du musst den nvidia treiber recompelieren. Aber vorher bitte ports updaten seit gestern (vorgestern?) gibt es nen update bei nvidia. Wichtig beim neu installieren kldunload nvidia machen Sonst bleibt der alte nvidia treiber drin.

  3. #3
    Erfahrener Benutzer
    Registriert seit
    06.10.2003
    Beiträge
    477
    tja hab ich gemacht splash

    geht nicht gleicher fehler...

    hab auch ma verscuht den alten zu deinstalieren und dan neu zu kompilieren.. ohne erfolg die fehlermeldung bleibt....

    ich dreh gleich ab kent da niemand ne lösung bzw hat noch jemand ideen?

    mfg martin
    "Sehnst du dich nach den Tagen zurück, wo Männer noch Männer waren und ihre Gerätetreiber selbst schrieben?"
    Ankündigung der Freigabe der Linux-Version 0.02
    http://img.uptime-project.net/img/4/67038.png

  4. #4
    Administrator
    Registriert seit
    11.06.2003
    Beiträge
    1.499
    wie gesagt den gleich fehler hatte ich auch. Ich hatte den die ports aktualisiert und den den aktuelle nvidia treiber von den ports installiert.

    tipp zur not vesa erstmal nehmen.

  5. #5
    Erfahrener Benutzer
    Registriert seit
    06.10.2003
    Beiträge
    477
    ja xorg läuft ja aber vesa oder nv sind erstma nur ne notlösung...

    man muss des doch uirgendwie beheben können o.0

    grüßle
    "Sehnst du dich nach den Tagen zurück, wo Männer noch Männer waren und ihre Gerätetreiber selbst schrieben?"
    Ankündigung der Freigabe der Linux-Version 0.02
    http://img.uptime-project.net/img/4/67038.png

  6. #6
    Benutzer
    Registriert seit
    27.05.2004
    Beiträge
    46
    welche treiber version mit was für einer karte willst du benutzen?
    (stichwort legacy treiber)
    Whois alamar
    gpg-fingerprint:
    9C05 DC4C EB33 627F 13F9 98FF D651 8413 1279 7C75

  7. #7
    Administrator
    Registriert seit
    11.06.2003
    Beiträge
    1.499
    problem haben wir schon geloest es lag am fehlerhaften update von 5.4 auf 6.0

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •